Summary:	A handy file search tool
Name:		catfish
Version:	0.3.2
Release:	%mkrel 6
Group:		File tools
License:	GPLv2+
URL:		http://twotoasts.de/index.php/catfish
Source0:	http://www.twotoasts.de/media/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3-fix-separator-position.patch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	pygtk2.0-libglade
Requires:	python-pyxdg
Requires:	dbus-python
Requires:	mlocate
Requires:	findutils
BuildArch:	noarch

%description
A handy file searching tool for linux. Basically it is a 
frontend for different search engines (daemons) which 
provides a unified interface. The interface is intentionally 
lightweight and simple, using only GTK+ 2. You can configure 
it to your needs by using several command line options.

%prep
%setup -q
%patch0 -p1

%build
sed -i.misc \
	-e '/svg/s|install|install -m 644|' \
	-e '/glade/s|install| install -m 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in

sed -i.byte -e 's|pyc|py|' %{name}.in

sed -i.engine -e 's|Nautilus|Thunar|' %{name}.py

# (tpg) do not use macro here
./configure --prefix=%{_prefix}

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_datadir}/doc/

ln -sf ../pixmaps/%{name}.svg %{buildroot}%{_datadir}/%{name}/
ln -sf ../locale/ %{buildroot}%{_datadir}/%{name}/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/*.svg




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-6.mga3
+ Revision: 347435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - Update URL

* Sat Mar 26 2011 wally <wally> 0.3.2-5.mga1
+ Revision: 77832
- drop obsolete py_requires macro
- drop buildroot definition
- fix pyxdg package name in requires
- imported package catfish

